---
title: llarp::layers::flow::FlowIdentity
summary: the local end of a one to one flow to a remote. 

---

# llarp::layers::flow::FlowIdentity



the local end of a one to one flow to a remote. 


`#include <flow_identity.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[async_ensure_flow](Classes/classllarp_1_1layers_1_1flow_1_1FlowIdentity.md#function-async-ensure-flow)**([FlowHandshaker](Classes/classllarp_1_1layers_1_1flow_1_1FlowHandshaker.md) handshaker)<br>ensure we have a flow to the remote endpoint.  |

## Public Functions Documentation

### function async_ensure_flow

```cpp
void async_ensure_flow(
    FlowHandshaker handshaker
)
```

ensure we have a flow to the remote endpoint. 

pass in a handshaker to do any additional steps after establishment. 


-------------------------------

Updated on 2023-02-01 at 02:20:07 +0000