---
title: llarp::layers::platform::FlowTraffic_IO_pimpl

---

# llarp::layers::platform::FlowTraffic_IO_pimpl





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FlowTraffic_IO_pimpl](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#function-flowtraffic-io-pimpl)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & router_) |
| void | **[wakeup](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#function-wakeup)**() |
| std::vector< [flow::Traffic](Classes/structllarp_1_1layers_1_1flow_1_1Traffic.md) > | **[read_from_flow_layer](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#function-read-from-flow-layer)**() |
| void | **[write_many_to_flow_layer](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#function-write-many-to-flow-layer)**(EtherType_t kind, [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) flow_info, std::vector< std::vector< byte_t >> datums) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & | **[router](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#variable-router)**  |
| std::weak_ptr< [EndpointBase](Classes/classllarp_1_1EndpointBase.md) > | **[endpoint](Classes/classllarp_1_1layers_1_1platform_1_1FlowTraffic__IO__pimpl.md#variable-endpoint)**  |

## Public Functions Documentation

### function FlowTraffic_IO_pimpl

```cpp
inline FlowTraffic_IO_pimpl(
    AbstractRouter & router_
)
```


### function wakeup

```cpp
inline void wakeup()
```


### function read_from_flow_layer

```cpp
inline std::vector< flow::Traffic > read_from_flow_layer()
```


### function write_many_to_flow_layer

```cpp
inline void write_many_to_flow_layer(
    EtherType_t kind,
    flow::FlowInfo flow_info,
    std::vector< std::vector< byte_t >> datums
)
```


## Public Attributes Documentation

### variable router

```cpp
AbstractRouter & router;
```


### variable endpoint

```cpp
std::weak_ptr< EndpointBase > endpoint;
```


-------------------------------

Updated on 2023-02-01 at 02:20:07 +0000