---
title: llarp::layers::platform::OSTraffic_IO

---

# llarp::layers::platform::OSTraffic_IO





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[OSTraffic_IO](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO.md#function-ostraffic-io)**([OSTraffic_IO_pimpl](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO__pimpl.md) * ) |
| std::vector< [OSTraffic](Classes/structllarp_1_1layers_1_1platform_1_1OSTraffic.md) > | **[read_platform_traffic](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO.md#function-read-platform-traffic)**() const<br>read from the os.  |
| void | **[write_platform_traffic](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO.md#function-write-platform-traffic)**(std::vector< [OSTraffic](Classes/structllarp_1_1layers_1_1platform_1_1OSTraffic.md) > && traff) const<br>write to the os.  |
| void | **[wakeup](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO.md#function-wakeup)**() const<br>wake up lokinet event loop telling it we sent some things to the network.  |

## Public Functions Documentation

### function OSTraffic_IO

```cpp
OSTraffic_IO(
    OSTraffic_IO_pimpl * 
)
```


### function read_platform_traffic

```cpp
std::vector< OSTraffic > read_platform_traffic() const
```

read from the os. 

this MUST NOT have any internal userland buffering from previous calls to [read_platform_traffic()](Classes/classllarp_1_1layers_1_1platform_1_1OSTraffic__IO.md#function-read-platform-traffic). 


### function write_platform_traffic

```cpp
void write_platform_traffic(
    std::vector< OSTraffic > && traff
) const
```

write to the os. 

this call MUST do an idempotent wakeup of the os layer. 


### function wakeup

```cpp
void wakeup() const
```

wake up lokinet event loop telling it we sent some things to the network. 

-------------------------------

Updated on 2023-02-01 at 02:20:07 +0000