---
title: llarp::layers::platform::PlatformLayer
summary: owner of all platform layer components 

---

# llarp::layers::platform::PlatformLayer



owner of all platform layer components 


`#include <platform_layer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PlatformLayer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-platformlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| std::unique_ptr< [PlatformDriver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver.md) > | **[make_platform_driver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-make-platform-driver)**(std::shared_ptr< [Config](Classes/structllarp_1_1Config.md) > config)<br>make a new platform layer driver from config.  |

## Public Functions Documentation

### function PlatformLayer

```cpp
explicit PlatformLayer(
    AbstractRouter & 
)
```


### function make_platform_driver

```cpp
std::unique_ptr< PlatformDriver > make_platform_driver(
    std::shared_ptr< Config > config
)
```

make a new platform layer driver from config. 

-------------------------------

Updated on 2023-02-01 at 02:20:07 +0000