---
title: llarp::layers::flow::FlowLayer
summary: flow layer's context that holds all the things in the flow layer 

---

# llarp::layers::flow::FlowLayer



flow layer's context that holds all the things in the flow layer 


`#include <flow_layer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FlowLayer](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md#function-flowlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| [FlowTag](Classes/structllarp_1_1layers_1_1flow_1_1FlowTag.md) & | **[best_flow_tag_to](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md#function-best-flow-tag-to)**(const [flow::FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) & addr)<br>get the best flow tag to a remote address, autovivifies  |
| [FlowIdentity](Classes/classllarp_1_1layers_1_1flow_1_1FlowIdentity.md) & | **[get_source_for](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md#function-get-source-for)**(const [flow::FlowTag](Classes/structllarp_1_1layers_1_1flow_1_1FlowTag.md) & tag)<br>get the local identity for a flow tag, autovivifies  |

## Public Functions Documentation

### function FlowLayer

```cpp
explicit FlowLayer(
    AbstractRouter & 
)
```


### function best_flow_tag_to

```cpp
FlowTag & best_flow_tag_to(
    const flow::FlowAddr & addr
)
```

get the best flow tag to a remote address, autovivifies 

### function get_source_for

```cpp
FlowIdentity & get_source_for(
    const flow::FlowTag & tag
)
```

get the local identity for a flow tag, autovivifies 

-------------------------------

Updated on 2023-02-01 at 02:20:07 +0000