---
title: llarp/layers/platform/deprecated_layer_pimpl.hpp

---

# llarp/layers/platform/deprecated_layer_pimpl.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::platform](Namespaces/namespacellarp_1_1layers_1_1platform.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::layers::platform::PlatformLayer_pimpl](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__pimpl.md)**  |




## Source code

```cpp
#pragma once
#include "platform_layer.hpp"
#include "deprecated_driver_pimpl.hpp"
#include <llarp/router/abstractrouter.hpp>
#include <llarp/service/context.hpp>
#include <memory>

namespace llarp::layers::platform
{
  class PlatformLayer_pimpl
  {
    AbstractRouter& _router;

   public:
    PlatformLayer_pimpl(AbstractRouter& router) : _router{router}
    {}

    std::unique_ptr<PlatformDriver>
    make_platform_driver(PlatformKind)
    {
      return std::make_unique<PlatformDriver>(new PlatformDriver_pimpl{_router});
    }
  };
}  // namespace llarp::layers::platform
```


-------------------------------

Updated on 2023-02-01 at 02:20:08 +0000
